CVE-2019-6975

NameCVE-2019-6975
DescriptionDjango 1.11.x before 1.11.19, 2.0.x before 2.0.11, and 2.1.x before 2.1.6 allows Uncontrolled Memory Consumption via a malicious attacker-supplied value to the django.utils.numberformat.format() function.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4476-1
NVD severitymedium (attack range: remote)
Debian Bugs922027

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
python-django (PTS)jessie1.7.11-1+deb8u3fixed
jessie (security)1.7.11-1+deb8u7fixed
stretch1:1.10.7-2+deb9u4vulnerable
stretch (security)1:1.10.7-2+deb9u6fixed
buster1:1.11.21-1fixed
bullseye, buster (security)1:1.11.23-1~deb10u1fixed
sid2:2.2.4-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
python-djangosource(unstable)1:1.11.20-1low922027
python-djangosourcejessie(not affected)
python-djangosourcestretch1:1.10.7-2+deb9u5mediumDSA-4476-1

Notes

[jessie] - python-django <not-affected> (Vulnerable code not present)
Upstream re-released https://code.djangoproject.com/ticket/30175
https://www.djangoproject.com/weblog/2019/feb/11/security-releases/
https://github.com/django/django/commit/0bbb560183fabf0533289700845dafa94951f227 (1.11 branch)

Search for package or bug name: Reporting problems